;InnoSetupVersion=5.1.2

[Setup]
AppName=Image Signature
AppVerName=Image Signature 1.5.1
AppId=Image Signature
AppPublisher=Bartomiej Baron
AppPublisherURL=http://www.bbproject.net
AppSupportURL=http://www.bbproject.net
AppUpdatesURL=http://www.bbproject.net
DefaultDirName={pf}\BBProject\Image Signature
DefaultGroupName=BBProject\Image Signature
OutputBaseFilename=is151setup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\isign.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\manual\index.html"; DestDir: "{app}\manual"; Flags: ignoreversion 
Source: "{app}\manual\data\style.css"; DestDir: "{app}\manual\data"; Flags: ignoreversion 

[INI]
FileName: "{app}\BBProject.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.bbproject.net"; 

[Run]
Filename: "{app}\isign.exe"; Description: "{cm:LaunchProgram,Image Signature}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Image Signature"; Filename: "{app}\isign.exe"; 
Name: "{group}\Manual"; Filename: "{app}\manual\index.html"; 
Name: "{group}\BBProject"; Filename: "{app}\BBProject.url"; 
Name: "{group}\Odinstaluj"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Image Signature"; Filename: "{app}\isign.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Image Signature"; Filename: "{app}\isign.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\BBProject.url"; 

[CustomMessages]
polish.NameAndVersion=%1 wersja %2
polish.AdditionalIcons=Dodatkowe ikony:
polish.CreateDesktopIcon=Utwrz ikon na &pulpicie
polish.CreateQuickLaunchIcon=Utwrz ikon na pasku &szybkiego uruchamiania
polish.ProgramOnTheWeb=Strona WWW programu %1
polish.UninstallProgram=Deinstalacja programu %1
polish.LaunchProgram=Uruchom program %1
polish.AssocFileExtension=&Przypisz program %1 do rozszerzenia pliku %2
polish.AssocingFileExtension=Przypisywanie programu %1 do rozszerzenia pliku %2...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "polish"; MessagesFile: "embedded\polish.isl"; 
